- name: webserver | snmpd | create cache directory
  file:
    path: "/var/cache/librenms/"
    state: directory
    owner: "{{ snmp-user | default('root)'' }}"

- name: webserver | snmpd | install requirement
  package:
    name: "python3-urllib3"
    state: latest

- name: webserver | snmpd | get script
  get_url:
    url: "https://raw.githubusercontent.com/librenms/librenms-agent/master/snmp/apache-stats.py"
    dest: "/etc/snmp/apache-stats.py"
    mode: "0755"
    owner: "root"
    group: "root"

- name: webserver | snmpd | configure extend
  lineinfile:
    path: "{{ snmpd_conf }}"
    state: present
    line: "extend apache /etc/snmp/apache-stats.py"
    insertafter: "# SECTION: custom settings"
  notify: restart_snmpd